Bug 591026 - Couchdb init script gets confused when desktopcouch is running
Summary: Couchdb init script gets confused when desktopcouch is running
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: couchdb   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-11 09:22 UTC by Honza 'thingie' Bartoš
Modified: 2010-06-18 16:44 UTC (History)
1 user (show)

Fixed In Version: erlang-etap-0.3.4-2.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-07 22:11:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Honza 'thingie' Bartoš 2010-05-11 09:22:07 UTC
Description of problem:
CouchDB init script will falsely think that couchdb is already running if there is a desktopcouch instance running, even if couchdb (systemwide) isn't running.

Version-Release number of selected component (if applicable):
couchdb-0.10.0-2.fc13.i686

Steps to Reproduce:
1. Start desktopcouch (somehow)
2. try to run service couchdb start
  
Actual results:
Nothing. (Init script simply sees couchdb already running, so it doesn't bother to try to run it again.) If you type service couchdb status, you see PIDs of your desktopcouch processes.

Expected results:
Run couchdb.

Comment 1 Fedora Update System 2010-06-01 07:11:56 UTC
erlang-etap-0.3.4-2.el5,couchdb-0.10.2-8.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/erlang-etap-0.3.4-2.el5,couchdb-0.10.2-8.el5

Comment 2 Fedora Update System 2010-06-01 07:12:14 UTC
erlang-etap-0.3.4-2.fc12,couchdb-0.10.2-8.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/erlang-etap-0.3.4-2.fc12,couchdb-0.10.2-8.fc12

Comment 3 Fedora Update System 2010-06-01 07:12:28 UTC
erlang-etap-0.3.4-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/erlang-etap-0.3.4-2.el4

Comment 4 Fedora Update System 2010-06-01 07:12:42 UTC
couchdb-0.10.2-8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/couchdb-0.10.2-8.fc11

Comment 5 Fedora Update System 2010-06-01 07:12:54 UTC
erlang-etap-0.3.4-2.fc13,couchdb-0.10.2-8.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/erlang-etap-0.3.4-2.fc13,couchdb-0.10.2-8.fc13

Comment 6 Fedora Update System 2010-06-01 18:15:55 UTC
erlang-etap-0.3.4-2.fc13, couchdb-0.10.2-8.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-etap couchdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-etap-0.3.4-2.fc13,couchdb-0.10.2-8.fc13

Comment 7 Fedora Update System 2010-06-01 18:23:46 UTC
couchdb-0.10.2-8.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update couchdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/couchdb-0.10.2-8.fc11

Comment 8 Fedora Update System 2010-06-01 18:25:13 UTC
erlang-etap-0.3.4-2.fc12, couchdb-0.10.2-8.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-etap couchdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-etap-0.3.4-2.fc12,couchdb-0.10.2-8.fc12

Comment 9 Fedora Update System 2010-06-03 14:58:50 UTC
erlang-etap-0.3.4-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-etap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-etap-0.3.4-2.el4

Comment 10 Fedora Update System 2010-06-03 14:59:52 UTC
erlang-etap-0.3.4-2.el5, couchdb-0.10.2-8.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-etap couchdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-etap-0.3.4-2.el5,couchdb-0.10.2-8.el5

Comment 11 Fedora Update System 2010-06-07 22:11:33 UTC
erlang-etap-0.3.4-2.fc12, couchdb-0.10.2-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-06-07 22:23:34 UTC
couchdb-0.10.2-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-06-07 22:32:17 UTC
erlang-etap-0.3.4-2.fc13, couchdb-0.10.2-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-06-18 16:43:29 UTC
erlang-etap-0.3.4-2.el5, couchdb-0.10.2-8.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-06-18 16:44:35 UTC
erlang-etap-0.3.4-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.